<?php
$res = 0;
// Try main.inc.php into web root known defined into CONTEXT_DOCUMENT_ROOT (not always defined)
if (!$res && !empty($_SERVER["CONTEXT_DOCUMENT_ROOT"])) {
    $res = @include $_SERVER["CONTEXT_DOCUMENT_ROOT"] . "/main.inc.php";
}
// Try main.inc.php into web root detected using web root calculated from SCRIPT_FILENAME
$tmp = empty($_SERVER['SCRIPT_FILENAME']) ? '' : $_SERVER['SCRIPT_FILENAME'];
$tmp2 = realpath(__FILE__);
$i = strlen($tmp) - 1;
$j = strlen($tmp2) - 1;
while ($i > 0 && $j > 0 && isset($tmp[$i]) && isset($tmp2[$j]) && $tmp[$i] == $tmp2[$j]) {
    $i--;
    $j--;
}
if (!$res && $i > 0 && file_exists(substr($tmp, 0, ($i + 1)) . "/main.inc.php")) {
    $res = @include substr($tmp, 0, ($i + 1)) . "/main.inc.php";
}
if (!$res && $i > 0 && file_exists(dirname(substr($tmp, 0, ($i + 1))) . "/main.inc.php")) {
    $res = @include dirname(substr($tmp, 0, ($i + 1))) . "/main.inc.php";
}
// Try main.inc.php using relative path
if (!$res && file_exists("../main.inc.php")) {
    $res = @include "../main.inc.php";
}
if (!$res && file_exists("../../main.inc.php")) {
    $res = @include "../../main.inc.php";
}
if (!$res && file_exists("../../../main.inc.php")) {
    $res = @include "../../../main.inc.php";
}
if (!$res) {
    die("Include of main fails");
}
require_once DOL_DOCUMENT_ROOT . '/custom/settlements/class/helper.class.php';

$helper = new Helper($db);
$search_group_title = GETPOST('search_group_title', 'alpha'); 
$selectedEntities = GETPOST('selectedEntities', 'alpha'); 

$groups = $search_group_title !== '' ? $helper->getFilteredGroups($search_group_title, $selectedEntities) : $helper->getGroupsFromGroupClass($db, $selectedEntities);
$form = new Form($db);

print $helper->groupList($groups, $id);
?>
<script>
    $(document).ready(function () {
		var elements = document.getElementsByClassName('submitFormLink');
        var inputGroup = document.getElementById("group_search");
		for (var i = 0; i < elements.length; i++) {
			elements[i].addEventListener('click', function (event) {
				event.preventDefault();
				var form = document.getElementById('searchFormList');
				var actionValue = form.getAttribute('action');
				var clickedElementValue = this.getAttribute('data-value');
				lastIndex = actionValue.lastIndexOf('&');
				var trimmedQueryString = actionValue.substring(0, lastIndex);
				form.action = trimmedQueryString + '&id=' + clickedElementValue + '&search_group_title=' + inputGroup.value;
				document.getElementById('searchFormList').submit();
			});
		}
	});
</script>